Đến nội dung


Hình ảnh
- - - - -

xin lisp vẽ thép hình


  • Please log in to reply
3 replies to this topic

#1 cunconlangthang1088

cunconlangthang1088

    biết zoom

  • Members
  • Pip
  • 10 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 24 March 2009 - 07:22 AM

em vẽ thép hình chữ I,vẽ mãi mà chả đẹp tí nào,bác nào có lisp vẽ thép hình hok???cho em xin,thanks bác nhiều
  • 0

#2 haanh

haanh

    biết lệnh adcenter

  • Members
  • PipPipPipPipPipPipPip
  • 2875 Bài viết
Điểm đánh giá: 1554 (rất tốt)

Đã gửi 24 March 2009 - 09:50 AM

em vẽ thép hình chữ I,vẽ mãi mà chả đẹp tí nào,bác nào có lisp vẽ thép hình hok???cho em xin,thanks bác nhiều


có lip thống kê thép hình trên acad 2006http://www.cadviet.com/forum/index.php?showtopic=9197&hl=thép+hinh
LISP Thống kế thép?, trợ giúp
http://www.cadviet.c...mp;hl=thép hinh
Tra các loại thép, thép hình+ thép cây (khá chi tiết)
http://www.cadviet.c...mp;hl=thép hinh
Một file LISP tra thép hình, Tra đơn trọng độ dày theo tiêu chuẩn
http://www.cadviet.c...mp;hl=thép hinh
  • 0

“Sống trong đời sống cần có một tấm lòng / Để làm gì em biết không ? / Để gió cuốn đi, để gió cuốn đi...”


#3 cunconlangthang1088

cunconlangthang1088

    biết zoom

  • Members
  • Pip
  • 10 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 24 March 2009 - 11:17 AM

có lip thống kê thép hình trên acad 2006http://www.cadviet.com/forum/index.php?showtopic=9197&hl=thép+hinh
LISP Thống kế thép?, trợ giúp
http://www.cadviet.c...mp;hl=thép hinh
Tra các loại thép, thép hình+ thép cây (khá chi tiết)
http://www.cadviet.c...mp;hl=thép hinh
Một file LISP tra thép hình, Tra đơn trọng độ dày theo tiêu chuẩn
http://www.cadviet.c...mp;hl=thép hinh


trời ơi,vẽ thép hình chứ hok phải thống kê,thống kê thì có nhiều lắm rồi T___T
  • 0

#4 doisevedau53

doisevedau53

    Chưa sử dụng CAD

  • Members
  • Pip
  • 2 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 27 February 2010 - 04:49 PM

ban ve chep doan líp nay vao suport roi load len la ok! ban nho cho no vao 1 file llisp nhé:
lenh ve la : hse

(defun C:HSE(/ PT1 PT2 PT3 PT4 PT5 PT6 PT7 PT8 PT9 PT10 PT11 PT12 PT13 pt14 pt15 PT16 PT17 PT18 PT19 PT20 PT21 PT22 PT23 PT24 PT25 PT26 PT27 PT28 D FW FT WT R)
(GRAPHSCR)

(SETQ PT1 (GETPOINT "WORKING POINT: "))(TERPRI)
(SETQ D (GETDIST "DEPTH:"))(TERPRI)
(SETQ FW (GETDIST "FLANGE WIDTH:"))(TERPRI)
(SETQ WT (GETDIST "WEB THK:"))(TERPRI)
(SETQ FT (GETDIST "FLG THK:"))(TERPRI)
(SETQ R (GETDIST "ROUND:"))(TERPRI)

(SETVAR "OSMODE" 0)
(SETQ PT2 (POLAR PT1 (/ PI 2)5))
(SETQ PT3 (POLAR PT1 (-(/ PI 2))D))
(SETQ PT4 (POLAR PT3 (-(/ PI 2))5))

(SETQ PT5 (POLAR PT1 PI (/ FW 2)))
(SETQ PT6 (POLAR PT5 (-(/ PI 2))FT))
(SETQ PT7 (POLAR PT6 0 (- (/ FW 2) (/ WT 2))))
(SETQ PT8 (POLAR PT7 PI R))
(SETQ PT9 (POLAR PT7 (-(/ PI 2)) R))

(SETQ PT10 (POLAR PT1 0 (/ FW 2)))
(SETQ PT11 (POLAR PT10 (-(/ PI 2))FT))
(SETQ PT12 (POLAR PT11 PI (-(/ FW 2) (/ WT 2))))
(SETQ PT13 (POLAR PT12 0 R))
(SETQ PT14 (POLAR PT12 (-(/ PI 2)) R))

(SETQ PT15 (POLAR PT3 PI (/ FW 2)))
(SETQ PT16 (POLAR PT15 (/ PI 2) FT))
(SETQ PT17 (POLAR PT16 0 (-(/ FW 2) (/ WT 2))))
(SETQ PT18 (POLAR PT17 PI R))
(SETQ PT19 (POLAR PT17 (/ PI 2) R))

(SETQ PT20 (POLAR PT3 0 (/ FW 2)))
(SETQ PT21 (POLAR PT20 (/ PI 2) FT))
(SETQ PT22 (POLAR PT21 PI (-(/ FW 2) (/ WT 2))))
(SETQ PT23 (POLAR PT22 0 R))
(SETQ PT24 (POLAR PT22 (/ PI 2) R))

(SETQ PT25 (POLAR PT9 PI R))
(SETQ PT26 (POLAR PT14 0 R))
(SETQ PT27 (POLAR PT19 PI R))
(SETQ PT28 (POLAR PT24 0 R))

(COMMAND "LINE" PT8 PT6 PT5 PT10 PT11 PT13"")
(COMMAND "LINE" PT9 PT19"")
(COMMAND "LINE" PT14 PT24"")
(COMMAND "LINE" PT18 PT16 PT15 PT20 PT21 PT23"")
(COMMAND "LINE" PT2 PT4"")

(COMMAND "ARC" PT9 "c" pt25 "a" 90"")
(COMMAND "ARC" PT13 "C" PT26 "A" 90"")
(COMMAND "ARC" PT18 "C" PT27 "A" 90"")
(COMMAND "ARC" PT24 "C" PT28 "A" 90"")
(COMMAND "OSMODE" 32)

(SETQ PO (GETPOINT "\n INSERT POINT :"))
(COMMAND "INSERT" "SC" PO "" "" "")
)
  • 0